Bug 219000 - When using eclipse IDE develop RCP program, the OS can not read if acertain config file name is lower or upper case.
When using eclipse IDE develop RCP program, the OS can not read if acertain c...
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: eclipse (Show other bugs)
6
All Linux
medium Severity high
: ---
: ---
Assigned To: Ben Konrath
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-12-08 18:25 EST by kid_lee
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-04-16 03:15:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description kid_lee 2006-12-08 18:25:26 EST
Description of problem:

When using eclipse IDE develop RCP program, the OS can not read if acertain
config file name is lower or upper case.
It leads IDE can not work correctly. Using same similar setting on RHEL4. can
not reproduce the issue!
In the case of the issue may be caused by eclipse, I'll also report this case to
eclipse.org. Similar issue happened before
when sharing java project accross platform ( between Windows and Linux ) using
netbeans IDE.

Version-Release number of selected component (if applicable):
eclipse : community version 3.2 
                            3.2.1
          Fedora eclipse    3.2.1 

How reproducible:


Steps to Reproduce:
1.Download eclipse-RCP-SDK-3.2-linux-gtk from eclipse.org, setup a RCP program 
   enviroment. 
2. create a plug-in project. refer the process to
Addison.Wesley.Eclipse.Rich.Client.Platform.Designing.Coding.and.Packaging.Java.Applications.Oct.2005,
chapter II.
3.The IDE can not resolve /META-INF/MANIFEST.MF configure file
  
Actual results:
/META-INF/MANIFEST.MF file can not be resolve correctly. all file name should be
read as lower-case 

Expected results:
/META-INF/MANIFEST.MF file can not be resolve correctly. all file name should be
read as capital letter to make the project work.

Additional info:
Comment 1 Ben Konrath 2006-12-20 13:06:21 EST
I'm a bit confused by this bug report. Are you using the Fedora RCP packages
(eclipse-rcp) or the upstream RCP package?
Comment 2 Ben Konrath 2007-04-16 03:15:22 EDT
I'm going to close this bug since it has been in the NEEDINFO state for more
than 4 months without a response. Please re-open if this is still an issue.
Thanks, Ben

Note You need to log in before you can comment on or make changes to this bug.